rb_context_struct Struct Reference

## Data Fields

enum context_type | type
VALUE | self
int | argc
VALUE | value
VALUE * | vm_stack
size_t | vm_stack_slen
size_t | vm_stack_clen
VALUE * | machine_stack
VALUE * | machine_stack_src
rb_thread_t | saved_thread
rb_jmpbuf_t | jmpbuf
size_t | machine_stack_size

## Detailed Description

Definition at line 61 of file cont.c.

## Field Documentation

int rb_context_struct::argc

Definition at line 64 of file cont.c.

Referenced by cont_capture(), fiber_store(), fiber_switch(), rb_cont_call(), and rb_fiber_start().

rb_jmpbuf_t rb_context_struct::jmpbuf

Definition at line 79 of file cont.c.

Referenced by cont_capture(), cont_restore_1(), fiber_init(), and fiber_store().

VALUE* rb_context_struct::machine_stack

Definition at line 71 of file cont.c.

Referenced by cont_free(), cont_mark(), cont_memsize(), cont_restore_1(), cont_save_machine_stack(), fiber_store(), and rb_fiber_terminate().

size_t rb_context_struct::machine_stack_size

Definition at line 80 of file cont.c.

Referenced by cont_mark(), cont_memsize(), cont_restore_0(), cont_restore_1(), cont_save_machine_stack(), and rb_fiber_terminate().

VALUE* rb_context_struct::machine_stack_src

Definition at line 72 of file cont.c.

Referenced by cont_restore_0(), cont_restore_1(), and cont_save_machine_stack().

rb_thread_t rb_context_struct::saved_thread

Definition at line 78 of file cont.c.

Referenced by cont_capture(), cont_free(), cont_init(), cont_mark(), cont_memsize(), cont_restore_thread(), cont_save_thread(), fiber_free(), fiber_init(), fiber_memsize(), fiber_switch(), rb_cont_call(), rb_fiber_reset_root_local_storage(), and rb_fiber_start().

VALUE rb_context_struct::self

Definition at line 63 of file cont.c.

Referenced by cont_capture(), cont_free(), cont_mark(), cont_new(), cont_restore_thread(), fiber_store(), fiber_t_alloc(), and rb_fiber_current().

enum context_type rb_context_struct::type

Definition at line 62 of file cont.c.

Referenced by cont_free(), cont_mark(), cont_restore_thread(), fiber_free(), fiber_memsize(), fiber_t_alloc(), rb_fiber_resume(), and root_fiber_alloc().

VALUE rb_context_struct::value

Definition at line 65 of file cont.c.

Referenced by cont_capture(), cont_mark(), fiber_store(), fiber_switch(), rb_cont_call(), rb_fiber_start(), and rb_fiber_terminate().

VALUE* rb_context_struct::vm_stack

Definition at line 66 of file cont.c.

Referenced by cont_capture(), cont_free(), cont_mark(), cont_memsize(), cont_restore_thread(), and fiber_init().

size_t rb_context_struct::vm_stack_clen

Definition at line 69 of file cont.c.

Referenced by cont_capture(), cont_mark(), cont_memsize(), and cont_restore_thread().

size_t rb_context_struct::vm_stack_slen

Definition at line 68 of file cont.c.

Referenced by cont_capture(), cont_mark(), cont_memsize(), and cont_restore_thread().

The documentation for this struct was generated from the following file:

- cont.c